%define name	strace
%define version	4.3
%define release	2mdk

Summary:	Tracks and displays system calls associated with a running process.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Development/Kernel
URL:		http://www.liacs.nl/~wichert/strace/
Source0:	strace-%{version}.tar.bz2
Patch1:		strace-4.2-glibc22-more.patch.bz2
Patch2:		strace-4.2-glibc22.patch.bz2
Patch4:		strace-4.3-ia64.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-root

%description
The strace program intercepts and records the system calls called
and received by a running process.  Strace can print a record of
each system call, its arguments and its return value.  Strace is useful
for diagnosing problems and debugging, as well as for instructional
purposes.

Install strace if you need a tool to track the system calls made and
received by a process.

%prep

%setup -q
%patch1 -p1 -b .glibc22a
%patch2 -p1 -b .glibc22b

%ifarch ia64
%patch4 -p1 -b .ia64
%endif

# 4.3-2mdk: fix version tag
perl -pi -e "s|version 4.2|version 4.3|" version.c

%build
autoconf
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
%makeinstall man1dir=%buildroot/%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README* CREDITS ChangeLog INSTALL NEWS PORTING TODO
%{_bindir}/strace
%{_mandir}/man1/strace.1*

%changelog
* Thu Aug  2 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.3-2mdk
- version.c (version): bump to 4.3

* Wed Aug  1 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.3-1mdk
- release 4.3
- fix license (BSD)
- Patch0, Patch3: removed since merged upstream
- Patch2: reworked
- Patch4: some ia64 fixes

* Mon Mar 12 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 4.2-7mdk
- fix build broken due to glibc 2.2.2's more strict headers

* Mon Feb 05 2001 Francis Galiegue <fg@mandrakesoft.com> 4.2-6mdk
- ExcludeArch ia64 until sources are merged

* Tue Jan 23 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.2-5mdk
- Fix k2.4 compilation.

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.2-4mdk
- fix glibc22 compilation.

* Fri Sep 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.2-3mdk
- Big Move.
- Fix compilation (include a timex.h who don't include time.h).

* Sun Jun 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.2-2mdk
- Use makeinstall macros.

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 4.2-1mdk
- version 4.2 (fixes Y2K bug, adds 64-bit LFS and S/390 support)
- added documentation to package

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.1-4mdk
- Fixed group

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 4.1-3mdk
- Removed redundent arch define
- PPC fixes
- PPC build

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.1-2mdk
- Use %configure_

* Fri Nov 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.1.

* Mon Nov 08 1999 John Buswell <johnb@mandrakesoft.com>
- Commented out KERN_SECURELVL from system.c (this is not in sysctl.h in 
  2.2.13 kernel)
- Build Release

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 4.00.

* Wed Apr 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Update to 3.99.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binary

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 16)

* Tue Feb  9 1999 Jeff Johnson <jbj@redhat.com>
- vfork est arrive!

* Tue Feb  9 1999 Christopher Blizzard <blizzard@redhat.com>
- Add patch to follow clone() syscalls, too.

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- patch to build alpha/sparc with glibc 2.1.

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- fix typo (printf, not tprintf).

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- fix compile problem on sparc.

* Tue Aug 18 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Mon Jul 20 1998 Cristian Gafton <gafton@redhat.com>
- added the umoven patch from James Youngman <jay@gnu.org>
- fixed build problems on newer glibc releases

* Mon Jun 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
